import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import '../../widgets/MyButton/index.dart';
import '../../widgets/MyCard/widgets/CardCell.dart';
import '../../widgets/layout/BasicPage.dart';

class AddBankPage extends BasicPage {
  AddBankPage({Key? key}) : super(key: key) {
    naviTitle = '绑定银行卡';
  }
  TextEditingController _unameController = TextEditingController();
  TextEditingController _bankController = TextEditingController();
  TextEditingController _phoneController = TextEditingController();
  GlobalKey _formKey = GlobalKey<FormState>();

  @override
  Widget builder(BuildContext context) {
    return Container(
      // alignment: Alignment.bottomLeft,
      child: Form(
        key: _formKey, //设置globalKey，用于后面获取FormState
        autovalidateMode: AutovalidateMode.onUserInteraction,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Padding(
                padding: EdgeInsets.fromLTRB(15, 15, 0, 5),
                child: Text(
                  '请绑定持卡人本人的银行卡',
                  style: TextStyle(
                    fontSize: 16.sp,
                  ),
                )),
            Container(
              margin: EdgeInsets.fromLTRB(0, 10, 0, 10),
              padding: EdgeInsets.fromLTRB(15, 0, 15, 0),
              color: Colors.white,
              height: 54.w,
              child: Row(
                children: [
                  Text(
                    '持卡人姓名：',
                    style: TextStyle(
                        fontSize: 18.sp,
                        color: const Color(0xFF606060),
                        fontWeight: FontWeight.bold,
                        letterSpacing: 0),
                  ),
                  Expanded(
                    child: TextFormField(
                      autofocus: true,
                      controller: _unameController,
                      decoration: InputDecoration(
                        contentPadding:
                            const EdgeInsets.symmetric(vertical: 4.0),
                        hintText: '请输入真实姓名',
                        border: OutlineInputBorder(
                            borderRadius: BorderRadius.circular(15),
                            borderSide: BorderSide.none),
                      ),
                      // 校验用户名
                      validator: (v) {
                        return v!.trim().isNotEmpty ? null : "真实姓名不能为空";
                      },
                    ),
                  ),
                ],
              ),
            ),
            Container(
              color: Colors.white,
              height: 54.w,
              margin: EdgeInsets.fromLTRB(0, 10, 0, 10),
              padding: EdgeInsets.fromLTRB(15, 0, 15, 0),
              child: Row(
                children: [
                  Text(
                    '卡号：',
                    textAlign: TextAlign.left,
                    style: TextStyle(
                      fontSize: 18.sp,
                      color: const Color(0xFF606060),
                      fontWeight: FontWeight.bold,
                      letterSpacing: 17,
                    ),
                  ),
                  Expanded(
                    child: TextFormField(
                      controller: _bankController,
                      decoration: InputDecoration(
                        contentPadding:
                            const EdgeInsets.symmetric(vertical: 4.0),
                        hintText: '请输入有效卡号',
                        border: OutlineInputBorder(
                            borderRadius: BorderRadius.circular(15),
                            borderSide: BorderSide.none),
                      ),
                      // obscureText: true,
                      //校验密码
                      validator: (v) {
                        return v!.trim().isNotEmpty ? null : "卡号不能为空";
                      },
                    ),
                  ),
                ],
              ),
            ),
            Container(
              color: Colors.white,
              height: 54.w,
              margin: EdgeInsets.fromLTRB(0, 10, 0, 10),
              padding: EdgeInsets.fromLTRB(15, 0, 15, 0),
              child: Row(
                children: [
                  Text(
                    '开户行：',
                    textAlign: TextAlign.left,
                    style: TextStyle(
                      fontSize: 18.sp,
                      color: const Color(0xFF606060),
                      fontWeight: FontWeight.bold,
                      letterSpacing: 8,
                    ),
                  ),
                  Expanded(child: Text('data')),
                ],
              ),
            ),
            Container(
              color: Colors.white,
              height: 54.w,
              margin: EdgeInsets.fromLTRB(0, 10, 0, 10),
              padding: EdgeInsets.fromLTRB(15, 0, 15, 0),
              child: Row(
                children: [
                  Text(
                    '预留手机号：',
                    style: TextStyle(
                        fontSize: 18.sp,
                        color: const Color(0xFF606060),
                        fontWeight: FontWeight.bold,
                        letterSpacing: 0),
                  ),
                  Expanded(
                    child: TextFormField(
                      controller: _phoneController,
                      decoration: InputDecoration(
                        contentPadding:
                            const EdgeInsets.symmetric(vertical: 4.0),
                        hintText: '请输入银行卡预留手机号',
                        border: OutlineInputBorder(
                            borderRadius: BorderRadius.circular(15),
                            borderSide: BorderSide.none),
                      ),
                      //校验密码
                      validator: (v) {
                        return v!.trim().isNotEmpty ? null : "预留手机号不能为空";
                      },
                    ),
                  ),
                ],
              ),
            ),

            // 登录按钮
            Padding(
              padding: const EdgeInsets.only(top: 35.0),
              child: Row(
                children: <Widget>[
                  Container(
                    width:360.w,

                    height:65.w ,
                    alignment:Alignment.center,
                    child:   MyButton(
                        text: '绑定',
                        type:  0,
                        disable: false,
                        onClick: (){
                          if ((_formKey.currentState as FormState).validate()) {
                            //验证通过提交数据
                          }
                        }
                    ),
                  )

                ],
              ),
            )
          ],
        ),
      ),
    );
  }
}
